<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';



$set['title']='Дневники-Файлы';
include_once '../sys/inc/thead.php';
title();
aut();

if(!isset($user)){
echo '<div class="err">Дневник закрыт для гостей.</div>';
}else{
only_reg();

if (!isset($_GET['id']) && !is_numeric($_GET['id'])){header("Location: index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1",$db), 0)==0){header("Location: index.php?".SID);exit;}
$blog=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".intval($_GET['id'])."';"));

if (($user['level'] < 4) && ($user['id'] !=$blog['id_user']))
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "У вас нету прав доступа к этой странице!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}








if (isset($_GET['edit']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']))
{
$msg = htmlspecialchars(mysql_real_escape_string($_POST['msg']));$name = htmlspecialchars(mysql_real_escape_string($_POST['name']));

if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>3000)$err='Длина текста превышает предел в 3000 символа';


if(isset($_POST['privat']))
{
if($_POST['privat'] == 1) $privat='1';
else $privat='0';
}
else $privat='0';


if (!isset($err))
{
mysql_query("UPDATE `blog_list` SET `name` = '$name', `msg` = '$msg', `time` = '$time', `privat` = '$privat' WHERE `id`='".intval($_GET['id'])."'");
echo"".mysql_error()."";
msg('Запись изменена');
}
}



if (isset($_GET['del']))
{

if (isset($_GET['ok']))
{
$q_f=mysql_query("SELECT * FROM `blog_files` WHERE `id_blog` = '".$blog['id']."'");
while ($file = mysql_fetch_assoc($q_f))
{
mysql_query("DELETE FROM `blog_files` WHERE `id` = '$file[id]' LIMIT 1");
unlink(H.'blog/files/'.$file['id'].'.frf');
}
mysql_query("DELETE FROM `blog_komm` WHERE `id_blog` = '".$blog['id']."' LIMIT 1");

$q_i=mysql_query("SELECT * FROM `blog_img` WHERE `id_blog` = '".$blog['id']."'");
while ($img = mysql_fetch_assoc($q_i))
{
mysql_query("DELETE FROM `blog_img` WHERE `id` = '$img[id]' LIMIT 1");
unlink(H.'blog/img/'.$img['id'].'.jpg');
}


mysql_query("DELETE FROM `blog_list` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
msg('Запись удалена');
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";

include_once '../sys/inc/tfoot.php';
exit();
}
else
{
echo"Вы уверены что хотите удалить запись? <a href='?id=".intval($_GET['id'])."&amp;del&amp;ok'>Да</a> / <a href='list.php?id=".intval($_GET['id'])."'>Нет</a><br />";
}
}

err();

$blog=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".intval($_GET['id'])."';"));



echo "<form method='post' action='?id=".intval($_GET['id'])."&amp;edit'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"$blog[name]\" /><br />\n";

echo "Текст: <br />";
echo "<textarea name=\"msg\">$blog[msg]</textarea><br />";

echo "<label><input type=\"checkbox\" name=\"privat\" value=\"1\" />Приватный дневник</label><br />\n";


echo "<input value=\"Применить\" type=\"submit\" />\n";
echo "</form>\n";



echo"<div class='foot'>\n";
echo"<a href='list.php?id=".intval($_GET['id'])."'>Назад</a><br />\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
}
include_once '../sys/inc/tfoot.php';

?>